summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Dimitar Nikov2024-02-17 16:20:35 +0100
committer Willy Sudiarto Raharjo2024-02-17 16:44:07 +0100
commit86afc47276fb3bbdf0ee2bc58d76a3ccea415910 (patch)
treeb1eae8e2255f83457785fe1cd9bc0e929b1a612b /perl
parent34bc592f67a763fcda1b52d4f818bf48b19ce111 (diff)
downloadslackbuilds-86afc47276fb3bbdf0ee2bc58d76a3ccea415910.tar.gz
perl/perl-Digest-SHA: Added (Perl SHA).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Digest-SHA/README8
-rw-r--r--perl/perl-Digest-SHA/perl-Digest-SHA.SlackBuild111
-rw-r--r--perl/perl-Digest-SHA/perl-Digest-SHA.info10
-rw-r--r--perl/perl-Digest-SHA/slack-desc19
4 files changed, 148 insertions, 0 deletions
diff --git a/perl/perl-Digest-SHA/README b/perl/perl-Digest-SHA/README
new file mode 100644
index 0000000000..6c5148ac81
--- /dev/null
+++ b/perl/perl-Digest-SHA/README
@@ -0,0 +1,8 @@
+perl-Digest-SHA - Perl extension for SHA-1/224/256/384/512
+
+Digest::SHA is a complete implementation of the NIST Secure
+Hash Standard. It gives Perl programmers a convenient way
+to calculate SHA-1, SHA-224, SHA-256, SHA-384, SHA-512,
+SHA-512/224, and SHA-512/256 message digests.
+The module can handle all types of input, including
+partial-byte data.
diff --git a/perl/perl-Digest-SHA/perl-Digest-SHA.SlackBuild b/perl/perl-Digest-SHA/perl-Digest-SHA.SlackBuild
new file mode 100644
index 0000000000..299e1f3657
--- /dev/null
+++ b/perl/perl-Digest-SHA/perl-Digest-SHA.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/bash
+
+# Slackware build script for perl-digest-sha1
+
+# Copyright 2024 Dimitar Nikov, Alfreton, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=perl-Digest-SHA
+VERSION=${VERSION:-6.04}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRC_PRGNAM=Digest-SHA
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="Changes README"
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
+cd $SRC_PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo "y" | CFLAGS="$SLKCFLAGS" perl Makefile.PL INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+
+make
+make install DESTDIR=$PKG
+
+# Remove perlocal.pod, .packlist and .bs from $PKG
+( for i in perllocal.pod .packlist *.bs; do
+ find $PKG -name "$i" -exec rm -rf {} \;
+ done
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man/man1 $PKG/usr/man/
+rm -fr $PKG/usr/share
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/perl/perl-Digest-SHA/perl-Digest-SHA.info b/perl/perl-Digest-SHA/perl-Digest-SHA.info
new file mode 100644
index 0000000000..183a154d59
--- /dev/null
+++ b/perl/perl-Digest-SHA/perl-Digest-SHA.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Digest-SHA"
+VERSION="6.04"
+HOMEPAGE="https://metacpan.org/pod/Digest::SHA"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/M/MS/MSHELOR/Digest-SHA-6.04.tar.gz"
+MD5SUM="7c8295ac6c3c1574aabd0cb1e4191b16"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitar Nikov"
+EMAIL="dimitar@nikov.net"
diff --git a/perl/perl-Digest-SHA/slack-desc b/perl/perl-Digest-SHA/slack-desc
new file mode 100644
index 0000000000..30b035a724
--- /dev/null
+++ b/perl/perl-Digest-SHA/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Digest-SHA: perl-Digest-SHA (Perl extension for SHA-1/224/256/384/512)
+perl-Digest-SHA:
+perl-Digest-SHA: Digest::SHA is a complete implementation of the NIST Secure
+perl-Digest-SHA: Hash Standard. It gives Perl programmers a convenient way
+perl-Digest-SHA: to calculate SHA-1, SHA-224, SHA-256, SHA-384, SHA-512,
+perl-Digest-SHA: SHA-512/224, and SHA-512/256 message digests.
+perl-Digest-SHA: The module can handle all types of input, including
+perl-Digest-SHA: partial-byte data.
+perl-Digest-SHA:
+perl-Digest-SHA: Homepage: https://metacpan.org/dist/Digest-SHA
+perl-Digest-SHA: